---
title: "Add smart fields values to redirect URI"
url: "https://docs.signnow.com/docs/smart-fields/operations/post-link-smart-fields"
type: "endpoint"
section: "smart-fields"
slug: "smart-fields/operations/post-link-smart-fields"
method: "POST"
path: "/link"
operation_id: "post-link-smart-fields"
authorization: "bearer"
---

# Add smart fields values to redirect URI

`POST /link`

Add smart field values into the redirect URI via placeholders when creating a link for a template that contains smart fields.

1. Create a template with smart fields
2. Create a single signing link for the template with `redirect_uri` parameter that contains field placeholders to match field values.

*Example*

```
https://example.com?firstname=[smart_fields.firstname]&lastname=[smart_fields.lastname]

```

## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "document_id",
    "redirect_uri"
  ],
  "properties": {
    "document_id": {
      "type": "string",
      "description": "ID of the document to create link for."
    },
    "redirect_uri": {
      "type": "string",
      "description": "The URI that opens after completing the document."
    }
  },
  "x-examples": {
    "example-1": {
      "document_id": "{{document_id}}",
      "redirect_uri": "https://google.com?firstname=[smart_fields.firstname]&lastname=[smart_fields.lastname]"
    }
  }
}
```

**Example** (`example-1`)

```json
{
  "document_id": "12XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "redirect_uri": "https://example.com?firstname=[smart_fields.firstname]&lastname=[smart_fields.lastname]"
}
```

## Responses

### 200

OK

**Example** (`example-1`)

```json
{
  "url": "http://example.com/12XXXXXX",
  "url_no_signup": "https://example.com?firstname=[smart_fields.firstname]&lastname=[smart_fields.lastname]"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/link" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"document_id": "12XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX", "redirect_uri": "https://example.com?firstname=[smart_fields.firstname]&lastname=[smart_fields.lastname]"}'
```

---
*Full reference: https://docs.signnow.com/docs/smart-fields/operations/post-link-smart-fields*
